Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoEthernet Class Reference
Ethernet

## Description

Represents Ethernet output settings.

Inherits kObject.

## Public Member Functions
kStatus | GoEthernet_AddSource (GoEthernet ethernet, GoOutputSource type, k32u sourceId)
| Selects the specified source for transmission. More...
k32u | GoEthernet_AsciiControlPort (GoEthernet ethernet)
| Gets the ASCII protocol control channel port number. More...
kChar * | GoEthernet_AsciiCustomDataFormat (GoEthernet ethernet)
| Gets the ASCII protocol output custom data format string. More...
kBool | GoEthernet_AsciiCustomFormatEnabled (GoEthernet ethernet)
| Returns the value of whether the ASCII protocol custom data format is enabled or disabled. More...
k32u | GoEthernet_AsciiDataPort (GoEthernet ethernet)
| Gets the ASCII protocol data channel port number. More...
kChar * | GoEthernet_AsciiDelimiter (GoEthernet ethernet)
| Gets the ASCII protocol output delimiter string. More...
k32u | GoEthernet_AsciiHealthPort (GoEthernet ethernet)
| Gets the ASCII protocol health channel port number. More...
kChar * | GoEthernet_AsciiInvalidValue (GoEthernet ethernet)
| Gets the ASCII protocol output invalid value string. More...
GoAsciiOperation | GoEthernet_AsciiOperation (GoEthernet ethernet)
| Gets the ASCII protocol operational mode. More...
kChar * | GoEthernet_AsciiTerminator (GoEthernet ethernet)
| Gets the ASCII protocol output terminator string. More...
kStatus | GoEthernet_ClearAllSources (GoEthernet ethernet)
| Removes (deselects) all selected sources for all possible ethernet output types. More...
kStatus | GoEthernet_ClearSources (GoEthernet ethernet, GoOutputSource type)
| Removes (deselects) all selected sources for the specified output type. More...
kBool | GoEthernet_EIPBufferingEnabled (GoEthernet ethernet)
| Returns the value of whether the EthernetIP protocol output buffering is enabled or disabled. More...
kStatus | GoEthernet_EnableAsciiCustomFormat (GoEthernet ethernet, kBool enabled)
| Enables or disables the ASCII protocol output custom data format. More...
kBool | GoEthernet_ModbusBufferingEnabled (GoEthernet ethernet)
| Returns the value of whether Modbus protocol output buffering is enabled or disabled. More...
k32u | GoEthernet_OptionAt (GoEthernet ethernet, GoOutputSource type, kSize index)
| Gets the source option at the specified index. More...
kSize | GoEthernet_OptionCount (GoEthernet ethernet, GoOutputSource type)
| Gets the number of source options for the specified output type. More...
GoEthernetProtocol | GoEthernet_Protocol (GoEthernet ethernet)
| Gets the protocol that the ethernet utilizes for output. More...
kStatus | GoEthernet_RemoveSource (GoEthernet ethernet, GoOutputSource type, kSize index)
| Removes (deselects) the source at the specified index. More...
kStatus | GoEthernet_SetAsciiControlPort (GoEthernet ethernet, k32u port)
| Sets the port number of the ASCII control port. More...
kStatus | GoEthernet_SetAsciiCustomDataFormat (GoEthernet ethernet, const kChar *string)
| Sets the ASCII protocol output custom data format string. More...
kStatus | GoEthernet_SetAsciiDataPort (GoEthernet ethernet, k32u port)
| Sets the port number of the ASCII data port. More...
kStatus | GoEthernet_SetAsciiDelimiter (GoEthernet ethernet, const kChar *string)
| Sets the ASCII protocol output delimiter string. More...
kStatus | GoEthernet_SetAsciiHealthPort (GoEthernet ethernet, k32u port)
| Sets the port number of the ASCII health port. More...
kStatus | GoEthernet_SetAsciiInvalidValue (GoEthernet ethernet, const kChar *string)
| Sets the ASCII protocol output invalid value string. More...
kStatus | GoEthernet_SetAsciiOperation (GoEthernet ethernet, GoAsciiOperation mode)
| Sets the ASCII operation mode. More...
kStatus | GoEthernet_SetAsciiTerminator (GoEthernet ethernet, const kChar *string)
| Sets the ASCII protocol output terminator string. More...
kStatus | GoEthernet_SetEIPBufferingEnabled (GoEthernet ethernet, kBool enabled)
| Enables or disables EthernetIP protocol output buffering. More...
kStatus | GoEthernet_SetModbusBufferingEnabled (GoEthernet ethernet, kBool enabled)
| Enables or disables Modbus protocol output buffering. More...
kStatus | GoEthernet_SetProtocol (GoEthernet ethernet, GoEthernetProtocol protocol)
| Sets the protocol which will be output via ethernet. More...
k32u | GoEthernet_SourceAt (GoEthernet ethernet, GoOutputSource type, kSize index)
| Gets the identifier of the selected output at the specified index. More...
kSize | GoEthernet_SourceCount (GoEthernet ethernet, GoOutputSource type)
| Gets the number of sources of the specified output type that are currently selected for transmission. More...

## Member Function Documentation

kStatus GoEthernet_AddSource | ( | GoEthernet | ethernet,
|  | GoOutputSource | type,
|  | k32u | sourceId
| ) |  |

Selects the specified source for transmission.

Parameters

  ethernet | GoEthernet object.
  type | Output source type.
  sourceId | Output source identifier.

Returns
  Operation status.

k32u GoEthernet_AsciiControlPort | ( | GoEthernet | ethernet | ) |

Gets the ASCII protocol control channel port number.

Parameters

  ethernet | GoEthernet object.

Returns
  Control channel port number.

kChar * GoEthernet_AsciiCustomDataFormat | ( | GoEthernet | ethernet | ) |

Gets the ASCII protocol output custom data format string.

Parameters

  ethernet | GoEthernet object.

Returns
  A pointer to the string representing the ASCII protocol output custom data format.

kBool GoEthernet_AsciiCustomFormatEnabled | ( | GoEthernet | ethernet | ) |

Returns the value of whether the ASCII protocol custom data format is enabled or disabled.

Parameters

  ethernet | GoEthernet object.

Returns
  kTRUE if the custom data format is enabled. kFALSE otherwise.

k32u GoEthernet_AsciiDataPort | ( | GoEthernet | ethernet | ) |

Gets the ASCII protocol data channel port number.

Parameters

  ethernet | GoEthernet object.

Returns
  Data channel port number.

kChar * GoEthernet_AsciiDelimiter | ( | GoEthernet | ethernet | ) |

Gets the ASCII protocol output delimiter string.

Parameters

  ethernet | GoEthernet object.

Returns
  A pointer to the string representing the ASCII protocol output delimiter.

k32u GoEthernet_AsciiHealthPort | ( | GoEthernet | ethernet | ) |

Gets the ASCII protocol health channel port number.

Parameters

  ethernet | GoEthernet object.

Returns
  Health channel port number.

kChar * GoEthernet_AsciiInvalidValue | ( | GoEthernet | ethernet | ) |

Gets the ASCII protocol output invalid value string.

Parameters

  ethernet | GoEthernet object.

Returns
  A pointer to the string representing the ASCII protocol output invalid value.

GoAsciiOperation GoEthernet_AsciiOperation | ( | GoEthernet | ethernet | ) |

Gets the ASCII protocol operational mode.

Parameters

  ethernet | GoEthernet object.

Returns
  Operation mode.

kChar * GoEthernet_AsciiTerminator | ( | GoEthernet | ethernet | ) |

Gets the ASCII protocol output terminator string.

Parameters

  ethernet | GoEthernet object.

Returns
  A pointer to the terminator representing the ASCII protocol output delimiter.

kStatus GoEthernet_ClearAllSources | ( | GoEthernet | ethernet | ) |

Removes (deselects) all selected sources for all possible ethernet output types.

Parameters

  ethernet | GoEthernet object.

Returns
  Operation status.

kStatus GoEthernet_ClearSources | ( | GoEthernet | ethernet,
|  | GoOutputSource | type
| ) |  |

Removes (deselects) all selected sources for the specified output type.

Parameters

  ethernet | GoEthernet object.
  type | Output source type.

Returns
  Operation status.

kBool GoEthernet_EIPBufferingEnabled | ( | GoEthernet | ethernet | ) |

Returns the value of whether the EthernetIP protocol output buffering is enabled or disabled.

Parameters

  ethernet | GoEthernet object.

Returns
  kTRUE if buffering is enabled. kFALSE otherwise.

kStatus GoEthernet_EnableAsciiCustomFormat | ( | GoEthernet | ethernet,
|  | kBool | enabled
| ) |  |

Enables or disables the ASCII protocol output custom data format.

Parameters

  ethernet | GoEthernet object.
  enabled | kTRUE to enable custom data format output. kFALSE to use the default output format.

Returns
  Operation status.

kBool GoEthernet_ModbusBufferingEnabled | ( | GoEthernet | ethernet | ) |

Returns the value of whether Modbus protocol output buffering is enabled or disabled.

Parameters

  ethernet | GoEthernet object.

Returns
  kTRUE if buffering is enabled. kFALSE otherwise.

k32u GoEthernet_OptionAt | ( | GoEthernet | ethernet,
|  | GoOutputSource | type,
|  | kSize | index
| ) |  |

Gets the source option at the specified index.

Parameters

  ethernet | GoEthernet object.
  type | Output source type.
  index | Source option index.

Returns
  Source option.

kSize GoEthernet_OptionCount | ( | GoEthernet | ethernet,
|  | GoOutputSource | type
| ) |  |

Gets the number of source options for the specified output type.

Parameters

  ethernet | GoEthernet object.
  type | Output source type.

Returns
  Count of source options.

GoEthernetProtocol GoEthernet_Protocol | ( | GoEthernet | ethernet | ) |

Gets the protocol that the ethernet utilizes for output.

Parameters

  ethernet | GoEthernet object.

Returns
  The ethernet protocol.

kStatus GoEthernet_RemoveSource | ( | GoEthernet | ethernet,
|  | GoOutputSource | type,
|  | kSize | index
| ) |  |

Removes (deselects) the source at the specified index.

Parameters

  ethernet | GoEthernet object.
  type | Output source type.
  index | Index of the source to be removed.

Returns
  Operation status.

kStatus GoEthernet_SetAsciiControlPort | ( | GoEthernet | ethernet,
|  | k32u | port
| ) |  |

Sets the port number of the ASCII control port.

Parameters

  ethernet | GoEthernet object.
  port | The selected ASCII control port value.

Returns
  Operation status.

kStatus GoEthernet_SetAsciiCustomDataFormat | ( | GoEthernet | ethernet,
|  | const kChar * | string
| ) |  |

Sets the ASCII protocol output custom data format string.

Parameters

  ethernet | GoEthernet object.
  string | A pointer to the string representing the ASCII protocol output custom data format.

Returns
  Operation status.

kStatus GoEthernet_SetAsciiDataPort | ( | GoEthernet | ethernet,
|  | k32u | port
| ) |  |

Sets the port number of the ASCII data port.

Parameters

  ethernet | GoEthernet object.
  port | The selected ASCII data port value.

Returns
  Operation status.

kStatus GoEthernet_SetAsciiDelimiter | ( | GoEthernet | ethernet,
|  | const kChar * | string
| ) |  |

Sets the ASCII protocol output delimiter string.

Parameters

  ethernet | GoEthernet object.
  string | A pointer to the string representing the ASCII protocol output delimiter.

Returns
  Operation status.

kStatus GoEthernet_SetAsciiHealthPort | ( | GoEthernet | ethernet,
|  | k32u | port
| ) |  |

Sets the port number of the ASCII health port.

Parameters

  ethernet | GoEthernet object.
  port | The selected ASCII health port value.

Returns
  Operation status.

kStatus GoEthernet_SetAsciiInvalidValue | ( | GoEthernet | ethernet,
|  | const kChar * | string
| ) |  |

Sets the ASCII protocol output invalid value string.

Parameters

  ethernet | GoEthernet object.
  string | A pointer to the string representing the ASCII protocol output invalid value.

Returns
  Operation status.

kStatus GoEthernet_SetAsciiOperation | ( | GoEthernet | ethernet,
|  | GoAsciiOperation | mode
| ) |  |

Sets the ASCII operation mode.

Parameters

  ethernet | GoEthernet object.
  mode | The selected ASCII operation mode.

Returns
  Operation status.

kStatus GoEthernet_SetAsciiTerminator | ( | GoEthernet | ethernet,
|  | const kChar * | string
| ) |  |

Sets the ASCII protocol output terminator string.

Parameters

  ethernet | GoEthernet object.
  string | A pointer to the string representing the ASCII protocol output terminator.

Returns
  Operation status.

kStatus GoEthernet_SetEIPBufferingEnabled | ( | GoEthernet | ethernet,
|  | kBool | enabled
| ) |  |

Enables or disables EthernetIP protocol output buffering.

Parameters

  ethernet | GoEthernet object.
  enabled | kTRUE to enable buffering. kFALSE to disable it.

Returns
  Operation status.

kStatus GoEthernet_SetModbusBufferingEnabled | ( | GoEthernet | ethernet,
|  | kBool | enabled
| ) |  |

Enables or disables Modbus protocol output buffering.

Parameters

  ethernet | GoEthernet object.
  enabled | kTRUE to enable buffering. kFALSE to disable it.

Returns
  Operation status.

kStatus GoEthernet_SetProtocol | ( | GoEthernet | ethernet,
|  | GoEthernetProtocol | protocol
| ) |  |

Sets the protocol which will be output via ethernet.

Parameters

  ethernet | GoEthernet object.
  protocol | The selected ethernet protocol.

Returns
  Operation status.

k32u GoEthernet_SourceAt | ( | GoEthernet | ethernet,
|  | GoOutputSource | type,
|  | kSize | index
| ) |  |

Gets the identifier of the selected output at the specified index.

Parameters

  ethernet | GoEthernet object.
  type | Output source type.
  index | Selected source index.

Returns
  Source identifier.

kSize GoEthernet_SourceCount | ( | GoEthernet | ethernet,
|  | GoOutputSource | type
| ) |  |

Gets the number of sources of the specified output type that are currently selected for transmission.

Parameters

  ethernet | GoEthernet object.
  type | Output source type.

Returns
  Count of selected sources.

The documentation for this class was generated from the following file:

- Outputs/GoEthernet.h